Package org.eclipse.jgit.util

## Enum ProcessResult.Status

- java.lang.Object
- - java.lang.Enum<ProcessResult.Status>
  - - org.eclipse.jgit.util.ProcessResult.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<ProcessResult.Status>`

Enclosing class:
  ProcessResult

    public static enum ProcessResult.Status
    extends Enum<ProcessResult.Status>

Status of a process' execution.

### Enum Constant Summary

Enum Constants
`NOT_PRESENT` The script was not found on disk and thus could not be launched.
`NOT_SUPPORTED` The script was found but could not be launched since it was not supported by the current `FS`.
`OK` The script was found and launched properly.

### Method Summary

All Methods Static Methods Concrete Methods
`static ProcessResult.Status` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ProcessResult.Status[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OK

    public static final ProcessResult.Status OK

The script was found and launched properly. It may still have exited with a non-zero `ProcessResult.exitCode`.

#### NOT_PRESENT

    public static final ProcessResult.Status NOT_PRESENT

The script was not found on disk and thus could not be launched.

#### NOT_SUPPORTED

    public static final ProcessResult.Status NOT_SUPPORTED

The script was found but could not be launched since it was not supported by the current `FS`.

### Method Detail

#### values

    public static ProcessResult.Status[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ProcessResult.Status c : ProcessResult.Status.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ProcessResult.Status valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null